#### dynamic_buffer (2 of 4 overloads)

Create a new dynamic buffer that represents the given string.

    template<
        typename Elem,
        typename Traits,
        typename Allocator>
    dynamic_string_buffer< Elem, Traits, Allocator > dynamic_buffer(
        std::basic_string< Elem, Traits, Allocator > & data,
        std::size_t max_size);

###### Return Value

`dynamic_string_buffer<Elem, Traits, Allocator>(data, max_size)`.